<template>
    <div class="w-full">
        <home-header></home-header>
        <home-hero></home-hero>
        <div class="w-full flex mb-6">
            <div class="w-1/12"></div>
            <div class="w-10/12">
                <button class="cta-button" @click="gotToGetttingStarted">Get Started</button>
            </div>
            <div class="w-1/12"></div>
        </div>
        <home-features></home-features>
        <home-footer></home-footer>
    </div>
</template>

<script lang="ts">
import Vue from 'vue'
import Component from 'vue-class-component'
import HomeHeader from '@/app/Home/components/HomeHeader.vue'
import HomeHero from '@/app/Home/components/HomeHero.vue'
import HomeFeatures from '@/app/Home/components/HomeFeatures.vue'
import HomeFooter from '@/app/Home/components/HomeFooter.vue'

@Component({
    components: {
        HomeHeader,
        HomeHero,
        HomeFeatures,
        HomeFooter,
    },
})
export default class App extends Vue {
    gotToGetttingStarted() {
        this.$router.push({ name: 'getting-started' })
    }
}
</script>
